# TMDET Extension

TmMol* is a Mol* extension to visualize transmembrane regions and topology
according to data of http://pdbtm.enzim.hu/ served by PDBe.


# Usage

`loadWithUNITMPMembraneRepresentation` call on an initialized
`PluginUIContext` object downloads structure and annotation data
from the given URLs.

For example:

```
<script type="text/javascript" src="./tm_molstar.js"></script>
<script type="text/javascript">
    // init viewer
    var viewer = new tm_molstar.Viewer('app', {
        layoutShowControls: false,
        layoutIsExpanded: false,
        viewportShowExpand: true,
        collapseLeftPanel: true
    });

    var pdbId = '1a0s';

    tm_molstar.loadWithUNITMPMembraneRepresentation(viewer.plugin, {
        structureUrl: `https://cs.litemol.org/${pdbId}/full`,
        regionDescriptorUrl: `http://localhost:8000/tmdet-data/${pdbId}.json`,
    });
...

```

Please see the `index.html` and `index.ts` files of the demo
application in the `src/apps/tm-viwer` folder for more details.


# License

Creative Commons Attribution-NonCommercial 4.0 International Public
License

Please see the LICENSE file for more details or visit
https://creativecommons.org/licenses/by-nc/4.0/.
